<?php

namespace App\ViewModels\PagSeguro\PagSeguroResponseViewModel;

use App\Utils\Entity;

class PagSeguroCardViewModel extends Entity {
	protected $brand;
	protected $first_digits;
	protected $last_digits;
	protected $exp_month;
	protected $exp_year;
	protected $holder;
	protected $store;

	public static function builder(): PagSeguroCardViewModelBuilder {

		return new PagSeguroCardViewModelBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getBrand() {

		return $this->brand;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getFirstDigits() {

		return $this->first_digits;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getLastDigits() {

		return $this->last_digits;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getExpMonth() {

		return $this->exp_month;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getExpYear() {

		return $this->exp_year;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHolder() {

		return $this->holder;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getStore() {

		return $this->store;

	}

	/**
	 *
	 * @param mixed $brand
	 */
	public function setBrand($brand) {

		$this->brand = $brand;

	}

	/**
	 *
	 * @param mixed $first_digits
	 */
	public function setFirstDigits($first_digits) {

		$this->first_digits = $first_digits;

	}

	/**
	 *
	 * @param mixed $last_digits
	 */
	public function setLastDigits($last_digits) {

		$this->last_digits = $last_digits;

	}

	/**
	 *
	 * @param mixed $exp_month
	 */
	public function setExpMonth($exp_month) {

		$this->exp_month = $exp_month;

	}

	/**
	 *
	 * @param mixed $exp_year
	 */
	public function setExpYear($exp_year) {

		$this->exp_year = $exp_year;

	}

	/**
	 *
	 * @param mixed $holder
	 */
	public function setHolder($holder) {

		$this->holder = $holder;

	}

	/**
	 *
	 * @param mixed $store
	 */
	public function setStore($store) {

		$this->store = $store;

	}

}

